aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>2020-04-28 18:38:46 +0300
committerKaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>2020-04-28 19:44:30 +0300
commit52977dd7e96dae006b96e4b874a72cf3e0a79a38 (patch)
tree3b266edb0900da108299cd8b6065513b80e263e4
parentb318e5def54629866c90400959ebb84ea33ea063 (diff)
downloadawall-52977dd7e96dae006b96e4b874a72cf3e0a79a38.tar.bz2
awall-52977dd7e96dae006b96e4b874a72cf3e0a79a38.tar.xz
new services
-rw-r--r--mandatory/services.json12
-rw-r--r--test/output/address/dump261
-rw-r--r--test/output/custom/dump261
-rw-r--r--test/output/dedicated/dump261
-rw-r--r--test/output/filter-dnat/dump261
-rw-r--r--test/output/filter-limit/dump261
-rw-r--r--test/output/filter/dump261
-rw-r--r--test/output/no-track/dump261
-rw-r--r--test/output/route-track/dump261
-rw-r--r--test/output/tproxy/dump261
10 files changed, 1280 insertions, 1081 deletions
diff --git a/mandatory/services.json b/mandatory/services.json
index da80413..19c4c10 100644
--- a/mandatory/services.json
+++ b/mandatory/services.json
@@ -66,6 +66,9 @@
{ "proto": "tcp", "port": 3269 },
{ "proto": "udp", "port": 3269 }
],
+ "mqtt": { "proto": "tcp", "port": 1883 },
+ "mqtt-sn": { "proto": "udp", "port": 1883 },
+ "mqtt-ws": { "proto": "tcp", "port": 8083 },
"netbios-ds": [
{ "proto": "tcp", "port": 138 },
{ "proto": "udp", "port": 138 }
@@ -105,6 +108,7 @@
"rsync": { "proto": "tcp", "port": 873 },
"rtmp": { "proto": "tcp", "port": 1935 },
"rtsp": { "proto": "tcp", "port": 554 },
+ "secure-mqtt": { "proto": "tcp", "port": 8883 },
"sieve": { "proto": "tcp", "port": 4190 },
"sip": [
{ "proto": "tcp", "port": 5060, "ct-helper": "sip" },
@@ -123,6 +127,12 @@
"telnet": { "proto": "tcp", "port": 23 },
"teredo": { "proto": "udp", "port": 3544 },
"tftp": { "proto": "udp", "port": 69 },
- "vnc": { "proto": "tcp", "port": 5900 }
+ "tinc": [
+ { "proto": "tcp", "port": 655 },
+ { "proto": "udp", "port": 655 }
+ ],
+ "vnc": { "proto": "tcp", "port": 5900 },
+ "zabbix-agent": { "proto": "tcp", "port": 10050 },
+ "zabbix-trapper": { "proto": "tcp", "port": 10051 }
}
}
diff --git a/test/output/address/dump b/test/output/address/dump
index 8bbe3cd..b4782d6 100644
--- a/test/output/address/dump
+++ b/test/output/address/dump
@@ -8158,185 +8158,206 @@ Packet-log 4 {"log":"ulog","out":"_fw"}
inet/filter/INPUT -m limit --limit 12/minute -j ULOG
-Service babel {"port":6697,"proto":"tcp"}
-(services)
+Service babel {"port":6697,"proto":"tcp"}
+(services)
-Service bacula-dir {"port":9101,"proto":"tcp"}
-(services)
+Service bacula-dir {"port":9101,"proto":"tcp"}
+(services)
-Service bacula-fd {"port":9102,"proto":"tcp"}
-(services)
+Service bacula-fd {"port":9102,"proto":"tcp"}
+(services)
-Service bacula-sd {"port":9103,"proto":"tcp"}
-(services)
+Service bacula-sd {"port":9103,"proto":"tcp"}
+(services)
-Service bgp {"port":179,"proto":"tcp"}
-(services)
+Service bgp {"port":179,"proto":"tcp"}
+(services)
-Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
-(services)
+Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
+(services)
-Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
-(services)
+Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
+(services)
-Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
-(services)
+Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
+(services)
-Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
-(services)
+Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
+(services)
-Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
-(services)
+Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
+(services)
-Service gre {"proto":"gre"}
-(services)
+Service gre {"proto":"gre"}
+(services)
-Service hp-pdl {"port":9100,"proto":"tcp"}
-(services)
+Service hp-pdl {"port":9100,"proto":"tcp"}
+(services)
-Service http {"port":80,"proto":"tcp"}
-(services)
+Service http {"port":80,"proto":"tcp"}
+(services)
-Service http-alt {"port":8080,"proto":"tcp"}
-(services)
+Service http-alt {"port":8080,"proto":"tcp"}
+(services)
-Service https {"port":443,"proto":"tcp"}
-(services)
+Service https {"port":443,"proto":"tcp"}
+(services)
-Service icmp {"proto":"icmp"}
-(services)
+Service icmp {"proto":"icmp"}
+(services)
-Service igmp {"proto":"igmp"}
-(services)
+Service igmp {"proto":"igmp"}
+(services)
-Service imap {"port":143,"proto":"tcp"}
-(services)
+Service imap {"port":143,"proto":"tcp"}
+(services)
-Service imaps {"port":993,"proto":"tcp"}
-(services)
+Service imaps {"port":993,"proto":"tcp"}
+(services)
-Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
-(services)
+Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
+(services)
-Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
-(services)
+Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
+(services)
-Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
-(services)
+Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
+(services)
-Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
-(services)
+Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
+(services)
-Service l2tp {"port":1701,"proto":"udp"}
-(services)
+Service l2tp {"port":1701,"proto":"udp"}
+(services)
-Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
-(services)
+Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
+(services)
-Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
-(services)
+Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
+(services)
-Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
-(services)
+Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
+(services)
-Service ms-sql-m {"port":1434,"proto":"tcp"}
-(services)
+Service mqtt {"port":1883,"proto":"tcp"}
+(services)
-Service ms-sql-s {"port":1433,"proto":"tcp"}
-(services)
+Service mqtt-sn {"port":1883,"proto":"udp"}
+(services)
-Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
-(services)
+Service mqtt-ws {"port":8083,"proto":"tcp"}
+(services)
-Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
-(services)
+Service ms-sql-m {"port":1434,"proto":"tcp"}
+(services)
-Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
-(services)
+Service ms-sql-s {"port":1433,"proto":"tcp"}
+(services)
-Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
-(services)
+Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
+(services)
-Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
-(services)
+Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
+(services)
-Service ntp {"port":123,"proto":"udp"}
-(services)
+Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
+(services)
-Service openvpn {"port":1194,"proto":"udp"}
-(services)
+Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
+(services)
-Service ospf {"proto":"ospf"}
-(services)
+Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
+(services)
-Service pgsql {"port":5432,"proto":"tcp"}
-(services)
+Service ntp {"port":123,"proto":"udp"}
+(services)
-Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
-(services)
+Service openvpn {"port":1194,"proto":"udp"}
+(services)
-Service pop3 {"port":110,"proto":"tcp"}
-(services)
+Service ospf {"proto":"ospf"}
+(services)
-Service pop3s {"port":995,"proto":"tcp"}
-(services)
+Service pgsql {"port":5432,"proto":"tcp"}
+(services)
-Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
-(services)
+Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
+(services)
-Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
-(services)
+Service pop3 {"port":110,"proto":"tcp"}
+(services)
-Service rdp {"port":3389,"proto":"tcp"}
-(services)
+Service pop3s {"port":995,"proto":"tcp"}
+(services)
-Service rsync {"port":873,"proto":"tcp"}
-(services)
+Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
+(services)
-Service rtmp {"port":1935,"proto":"tcp"}
-(services)
+Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
+(services)
-Service rtsp {"port":554,"proto":"tcp"}
-(services)
+Service rdp {"port":3389,"proto":"tcp"}
+(services)
-Service sieve {"port":4190,"proto":"tcp"}
-(services)
+Service rsync {"port":873,"proto":"tcp"}
+(services)
-Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
-(services)
+Service rtmp {"port":1935,"proto":"tcp"}
+(services)
-Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
-(services)
+Service rtsp {"port":554,"proto":"tcp"}
+(services)
-Service smtp {"port":25,"proto":"tcp"}
-(services)
+Service secure-mqtt {"port":8883,"proto":"tcp"}
+(services)
-Service snmp {"port":161,"proto":"udp"}
-(services)
+Service sieve {"port":4190,"proto":"tcp"}
+(services)
-Service snmp-trap {"port":162,"proto":"udp"}
-(services)
+Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
+(services)
-Service ssh {"port":22,"proto":"tcp"}
-(services)
+Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
+(services)
-Service submission {"port":587,"proto":"tcp"}
-(services)
+Service smtp {"port":25,"proto":"tcp"}
+(services)
-Service syslog {"port":514,"proto":"udp"}
-(services)
+Service snmp {"port":161,"proto":"udp"}
+(services)
-Service telnet {"port":23,"proto":"tcp"}
-(services)
+Service snmp-trap {"port":162,"proto":"udp"}
+(services)
-Service teredo {"port":3544,"proto":"udp"}
-(services)
+Service ssh {"port":22,"proto":"tcp"}
+(services)
-Service tftp {"port":69,"proto":"udp"}
-(services)
+Service submission {"port":587,"proto":"tcp"}
+(services)
-Service vnc {"port":5900,"proto":"tcp"}
-(services)
+Service syslog {"port":514,"proto":"udp"}
+(services)
+
+Service telnet {"port":23,"proto":"tcp"}
+(services)
+
+Service teredo {"port":3544,"proto":"udp"}
+(services)
+
+Service tftp {"port":69,"proto":"udp"}
+(services)
+
+Service tinc [{"port":655,"proto":"tcp"},{"port":655,"proto":"udp"}]
+(services)
+
+Service vnc {"port":5900,"proto":"tcp"}
+(services)
+
+Service zabbix-agent {"port":10050,"proto":"tcp"}
+(services)
+
+Service zabbix-trapper {"port":10051,"proto":"tcp"}
+(services)
Snat 1 {"out":["_fw","B"]}
diff --git a/test/output/custom/dump b/test/output/custom/dump
index d9ee0dd..8b3a36c 100644
--- a/test/output/custom/dump
+++ b/test/output/custom/dump
@@ -455,185 +455,206 @@ Packet-log 4 {"log":"ulog","out":"_fw"}
inet/filter/INPUT -m limit --limit 12/minute -j ULOG
-Service babel {"port":6697,"proto":"tcp"}
-(services)
+Service babel {"port":6697,"proto":"tcp"}
+(services)
-Service bacula-dir {"port":9101,"proto":"tcp"}
-(services)
+Service bacula-dir {"port":9101,"proto":"tcp"}
+(services)
-Service bacula-fd {"port":9102,"proto":"tcp"}
-(services)
+Service bacula-fd {"port":9102,"proto":"tcp"}
+(services)
-Service bacula-sd {"port":9103,"proto":"tcp"}
-(services)
+Service bacula-sd {"port":9103,"proto":"tcp"}
+(services)
-Service bgp {"port":179,"proto":"tcp"}
-(services)
+Service bgp {"port":179,"proto":"tcp"}
+(services)
-Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
-(services)
+Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
+(services)
-Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
-(services)
+Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
+(services)
-Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
-(services)
+Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
+(services)
-Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
-(services)
+Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
+(services)
-Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
-(services)
+Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
+(services)
-Service gre {"proto":"gre"}
-(services)
+Service gre {"proto":"gre"}
+(services)
-Service hp-pdl {"port":9100,"proto":"tcp"}
-(services)
+Service hp-pdl {"port":9100,"proto":"tcp"}
+(services)
-Service http {"port":80,"proto":"tcp"}
-(services)
+Service http {"port":80,"proto":"tcp"}
+(services)
-Service http-alt {"port":8080,"proto":"tcp"}
-(services)
+Service http-alt {"port":8080,"proto":"tcp"}
+(services)
-Service https {"port":443,"proto":"tcp"}
-(services)
+Service https {"port":443,"proto":"tcp"}
+(services)
-Service icmp {"proto":"icmp"}
-(services)
+Service icmp {"proto":"icmp"}
+(services)
-Service igmp {"proto":"igmp"}
-(services)
+Service igmp {"proto":"igmp"}
+(services)
-Service imap {"port":143,"proto":"tcp"}
-(services)
+Service imap {"port":143,"proto":"tcp"}
+(services)
-Service imaps {"port":993,"proto":"tcp"}
-(services)
+Service imaps {"port":993,"proto":"tcp"}
+(services)
-Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
-(services)
+Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
+(services)
-Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
-(services)
+Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
+(services)
-Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
-(services)
+Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
+(services)
-Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
-(services)
+Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
+(services)
-Service l2tp {"port":1701,"proto":"udp"}
-(services)
+Service l2tp {"port":1701,"proto":"udp"}
+(services)
-Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
-(services)
+Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
+(services)
-Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
-(services)
+Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
+(services)
-Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
-(services)
+Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
+(services)
-Service ms-sql-m {"port":1434,"proto":"tcp"}
-(services)
+Service mqtt {"port":1883,"proto":"tcp"}
+(services)
-Service ms-sql-s {"port":1433,"proto":"tcp"}
-(services)
+Service mqtt-sn {"port":1883,"proto":"udp"}
+(services)
-Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
-(services)
+Service mqtt-ws {"port":8083,"proto":"tcp"}
+(services)
-Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
-(services)
+Service ms-sql-m {"port":1434,"proto":"tcp"}
+(services)
-Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
-(services)
+Service ms-sql-s {"port":1433,"proto":"tcp"}
+(services)
-Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
-(services)
+Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
+(services)
-Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
-(services)
+Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
+(services)
-Service ntp {"port":123,"proto":"udp"}
-(services)
+Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
+(services)
-Service openvpn {"port":1194,"proto":"udp"}
-(services)
+Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
+(services)
-Service ospf {"proto":"ospf"}
-(services)
+Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
+(services)
-Service pgsql {"port":5432,"proto":"tcp"}
-(services)
+Service ntp {"port":123,"proto":"udp"}
+(services)
-Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
-(services)
+Service openvpn {"port":1194,"proto":"udp"}
+(services)
-Service pop3 {"port":110,"proto":"tcp"}
-(services)
+Service ospf {"proto":"ospf"}
+(services)
-Service pop3s {"port":995,"proto":"tcp"}
-(services)
+Service pgsql {"port":5432,"proto":"tcp"}
+(services)
-Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
-(services)
+Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
+(services)
-Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
-(services)
+Service pop3 {"port":110,"proto":"tcp"}
+(services)
-Service rdp {"port":3389,"proto":"tcp"}
-(services)
+Service pop3s {"port":995,"proto":"tcp"}
+(services)
-Service rsync {"port":873,"proto":"tcp"}
-(services)
+Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
+(services)
-Service rtmp {"port":1935,"proto":"tcp"}
-(services)
+Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
+(services)
-Service rtsp {"port":554,"proto":"tcp"}
-(services)
+Service rdp {"port":3389,"proto":"tcp"}
+(services)
-Service sieve {"port":4190,"proto":"tcp"}
-(services)
+Service rsync {"port":873,"proto":"tcp"}
+(services)
-Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
-(services)
+Service rtmp {"port":1935,"proto":"tcp"}
+(services)
-Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
-(services)
+Service rtsp {"port":554,"proto":"tcp"}
+(services)
-Service smtp {"port":25,"proto":"tcp"}
-(services)
+Service secure-mqtt {"port":8883,"proto":"tcp"}
+(services)
-Service snmp {"port":161,"proto":"udp"}
-(services)
+Service sieve {"port":4190,"proto":"tcp"}
+(services)
-Service snmp-trap {"port":162,"proto":"udp"}
-(services)
+Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
+(services)
-Service ssh {"port":22,"proto":"tcp"}
-(services)
+Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
+(services)
-Service submission {"port":587,"proto":"tcp"}
-(services)
+Service smtp {"port":25,"proto":"tcp"}
+(services)
-Service syslog {"port":514,"proto":"udp"}
-(services)
+Service snmp {"port":161,"proto":"udp"}
+(services)
-Service telnet {"port":23,"proto":"tcp"}
-(services)
+Service snmp-trap {"port":162,"proto":"udp"}
+(services)
-Service teredo {"port":3544,"proto":"udp"}
-(services)
+Service ssh {"port":22,"proto":"tcp"}
+(services)
-Service tftp {"port":69,"proto":"udp"}
-(services)
+Service submission {"port":587,"proto":"tcp"}
+(services)
-Service vnc {"port":5900,"proto":"tcp"}
-(services)
+Service syslog {"port":514,"proto":"udp"}
+(services)
+
+Service telnet {"port":23,"proto":"tcp"}
+(services)
+
+Service teredo {"port":3544,"proto":"udp"}
+(services)
+
+Service tftp {"port":69,"proto":"udp"}
+(services)
+
+Service tinc [{"port":655,"proto":"tcp"},{"port":655,"proto":"udp"}]
+(services)
+
+Service vnc {"port":5900,"proto":"tcp"}
+(services)
+
+Service zabbix-agent {"port":10050,"proto":"tcp"}
+(services)
+
+Service zabbix-trapper {"port":10051,"proto":"tcp"}
+(services)
Snat 1 {"out":["_fw","B"]}
diff --git a/test/output/dedicated/dump b/test/output/dedicated/dump
index baf58d4..218b00a 100644
--- a/test/output/dedicated/dump
+++ b/test/output/dedicated/dump
@@ -436,185 +436,206 @@ Packet-log 4 {"log":"ulog","out":"_fw"}
inet/filter/awall-INPUT -m limit --limit 12/minute -j ULOG
-Service babel {"port":6697,"proto":"tcp"}
-(services)
+Service babel {"port":6697,"proto":"tcp"}
+(services)
-Service bacula-dir {"port":9101,"proto":"tcp"}
-(services)
+Service bacula-dir {"port":9101,"proto":"tcp"}
+(services)
-Service bacula-fd {"port":9102,"proto":"tcp"}
-(services)
+Service bacula-fd {"port":9102,"proto":"tcp"}
+(services)
-Service bacula-sd {"port":9103,"proto":"tcp"}
-(services)
+Service bacula-sd {"port":9103,"proto":"tcp"}
+(services)
-Service bgp {"port":179,"proto":"tcp"}
-(services)
+Service bgp {"port":179,"proto":"tcp"}
+(services)
-Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
-(services)
+Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
+(services)
-Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
-(services)
+Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
+(services)
-Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
-(services)
+Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
+(services)
-Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
-(services)
+Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
+(services)
-Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
-(services)
+Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
+(services)
-Service gre {"proto":"gre"}
-(services)
+Service gre {"proto":"gre"}
+(services)
-Service hp-pdl {"port":9100,"proto":"tcp"}
-(services)
+Service hp-pdl {"port":9100,"proto":"tcp"}
+(services)
-Service http {"port":80,"proto":"tcp"}
-(services)
+Service http {"port":80,"proto":"tcp"}
+(services)
-Service http-alt {"port":8080,"proto":"tcp"}
-(services)
+Service http-alt {"port":8080,"proto":"tcp"}
+(services)
-Service https {"port":443,"proto":"tcp"}
-(services)
+Service https {"port":443,"proto":"tcp"}
+(services)
-Service icmp {"proto":"icmp"}
-(services)
+Service icmp {"proto":"icmp"}
+(services)
-Service igmp {"proto":"igmp"}
-(services)
+Service igmp {"proto":"igmp"}
+(services)
-Service imap {"port":143,"proto":"tcp"}
-(services)
+Service imap {"port":143,"proto":"tcp"}
+(services)
-Service imaps {"port":993,"proto":"tcp"}
-(services)
+Service imaps {"port":993,"proto":"tcp"}
+(services)
-Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
-(services)
+Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
+(services)
-Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
-(services)
+Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
+(services)
-Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
-(services)
+Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
+(services)
-Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
-(services)
+Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
+(services)
-Service l2tp {"port":1701,"proto":"udp"}
-(services)
+Service l2tp {"port":1701,"proto":"udp"}
+(services)
-Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
-(services)
+Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
+(services)
-Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
-(services)
+Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
+(services)
-Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
-(services)
+Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
+(services)
-Service ms-sql-m {"port":1434,"proto":"tcp"}
-(services)
+Service mqtt {"port":1883,"proto":"tcp"}
+(services)
-Service ms-sql-s {"port":1433,"proto":"tcp"}
-(services)
+Service mqtt-sn {"port":1883,"proto":"udp"}
+(services)
-Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
-(services)
+Service mqtt-ws {"port":8083,"proto":"tcp"}
+(services)
-Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
-(services)
+Service ms-sql-m {"port":1434,"proto":"tcp"}
+(services)
-Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
-(services)
+Service ms-sql-s {"port":1433,"proto":"tcp"}
+(services)
-Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
-(services)
+Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
+(services)
-Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
-(services)
+Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
+(services)
-Service ntp {"port":123,"proto":"udp"}
-(services)
+Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
+(services)
-Service openvpn {"port":1194,"proto":"udp"}
-(services)
+Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
+(services)
-Service ospf {"proto":"ospf"}
-(services)
+Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
+(services)
-Service pgsql {"port":5432,"proto":"tcp"}
-(services)
+Service ntp {"port":123,"proto":"udp"}
+(services)
-Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
-(services)
+Service openvpn {"port":1194,"proto":"udp"}
+(services)
-Service pop3 {"port":110,"proto":"tcp"}
-(services)
+Service ospf {"proto":"ospf"}
+(services)
-Service pop3s {"port":995,"proto":"tcp"}
-(services)
+Service pgsql {"port":5432,"proto":"tcp"}
+(services)
-Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
-(services)
+Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
+(services)
-Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
-(services)
+Service pop3 {"port":110,"proto":"tcp"}
+(services)
-Service rdp {"port":3389,"proto":"tcp"}
-(services)
+Service pop3s {"port":995,"proto":"tcp"}
+(services)
-Service rsync {"port":873,"proto":"tcp"}
-(services)
+Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
+(services)
-Service rtmp {"port":1935,"proto":"tcp"}
-(services)
+Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
+(services)
-Service rtsp {"port":554,"proto":"tcp"}
-(services)
+Service rdp {"port":3389,"proto":"tcp"}
+(services)
-Service sieve {"port":4190,"proto":"tcp"}
-(services)
+Service rsync {"port":873,"proto":"tcp"}
+(services)
-Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
-(services)
+Service rtmp {"port":1935,"proto":"tcp"}
+(services)
-Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
-(services)
+Service rtsp {"port":554,"proto":"tcp"}
+(services)
-Service smtp {"port":25,"proto":"tcp"}
-(services)
+Service secure-mqtt {"port":8883,"proto":"tcp"}
+(services)
-Service snmp {"port":161,"proto":"udp"}
-(services)
+Service sieve {"port":4190,"proto":"tcp"}
+(services)
-Service snmp-trap {"port":162,"proto":"udp"}
-(services)
+Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
+(services)
-Service ssh {"port":22,"proto":"tcp"}
-(services)
+Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
+(services)
-Service submission {"port":587,"proto":"tcp"}
-(services)
+Service smtp {"port":25,"proto":"tcp"}
+(services)
-Service syslog {"port":514,"proto":"udp"}
-(services)
+Service snmp {"port":161,"proto":"udp"}
+(services)
-Service telnet {"port":23,"proto":"tcp"}
-(services)
+Service snmp-trap {"port":162,"proto":"udp"}
+(services)
-Service teredo {"port":3544,"proto":"udp"}
-(services)
+Service ssh {"port":22,"proto":"tcp"}
+(services)
-Service tftp {"port":69,"proto":"udp"}
-(services)
+Service submission {"port":587,"proto":"tcp"}
+(services)
-Service vnc {"port":5900,"proto":"tcp"}
-(services)
+Service syslog {"port":514,"proto":"udp"}
+(services)
+
+Service telnet {"port":23,"proto":"tcp"}
+(services)
+
+Service teredo {"port":3544,"proto":"udp"}
+(services)
+
+Service tftp {"port":69,"proto":"udp"}
+(services)
+
+Service tinc [{"port":655,"proto":"tcp"},{"port":655,"proto":"udp"}]
+(services)
+
+Service vnc {"port":5900,"proto":"tcp"}
+(services)
+
+Service zabbix-agent {"port":10050,"proto":"tcp"}
+(services)
+
+Service zabbix-trapper {"port":10051,"proto":"tcp"}
+(services)
Snat 1 {"out":["_fw","B"]}
diff --git a/test/output/filter-dnat/dump b/test/output/filter-dnat/dump
index e0bf985..d852894 100644
--- a/test/output/filter-dnat/dump
+++ b/test/output/filter-dnat/dump
@@ -448,185 +448,206 @@ Packet-log 4 {"log":"ulog","out":"_fw"}
inet/filter/INPUT -m limit --limit 12/minute -j ULOG
-Service babel {"port":6697,"proto":"tcp"}
-(services)
+Service babel {"port":6697,"proto":"tcp"}
+(services)
-Service bacula-dir {"port":9101,"proto":"tcp"}
-(services)
+Service bacula-dir {"port":9101,"proto":"tcp"}
+(services)
-Service bacula-fd {"port":9102,"proto":"tcp"}
-(services)
+Service bacula-fd {"port":9102,"proto":"tcp"}
+(services)
-Service bacula-sd {"port":9103,"proto":"tcp"}
-(services)
+Service bacula-sd {"port":9103,"proto":"tcp"}
+(services)
-Service bgp {"port":179,"proto":"tcp"}
-(services)
+Service bgp {"port":179,"proto":"tcp"}
+(services)
-Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
-(services)
+Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
+(services)
-Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
-(services)
+Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
+(services)
-Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
-(services)
+Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
+(services)
-Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
-(services)
+Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
+(services)
-Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
-(services)
+Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
+(services)
-Service gre {"proto":"gre"}
-(services)
+Service gre {"proto":"gre"}
+(services)
-Service hp-pdl {"port":9100,"proto":"tcp"}
-(services)
+Service hp-pdl {"port":9100,"proto":"tcp"}
+(services)
-Service http {"port":80,"proto":"tcp"}
-(services)
+Service http {"port":80,"proto":"tcp"}
+(services)
-Service http-alt {"port":8080,"proto":"tcp"}
-(services)
+Service http-alt {"port":8080,"proto":"tcp"}
+(services)
-Service https {"port":443,"proto":"tcp"}
-(services)
+Service https {"port":443,"proto":"tcp"}
+(services)
-Service icmp {"proto":"icmp"}
-(services)
+Service icmp {"proto":"icmp"}
+(services)
-Service igmp {"proto":"igmp"}
-(services)
+Service igmp {"proto":"igmp"}
+(services)
-Service imap {"port":143,"proto":"tcp"}
-(services)
+Service imap {"port":143,"proto":"tcp"}
+(services)
-Service imaps {"port":993,"proto":"tcp"}
-(services)
+Service imaps {"port":993,"proto":"tcp"}
+(services)
-Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
-(services)
+Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
+(services)
-Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
-(services)
+Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
+(services)
-Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
-(services)
+Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
+(services)
-Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
-(services)
+Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
+(services)
-Service l2tp {"port":1701,"proto":"udp"}
-(services)
+Service l2tp {"port":1701,"proto":"udp"}
+(services)
-Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
-(services)
+Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
+(services)
-Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
-(services)
+Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
+(services)
-Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
-(services)
+Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
+(services)
-Service ms-sql-m {"port":1434,"proto":"tcp"}
-(services)
+Service mqtt {"port":1883,"proto":"tcp"}
+(services)
-Service ms-sql-s {"port":1433,"proto":"tcp"}
-(services)
+Service mqtt-sn {"port":1883,"proto":"udp"}
+(services)
-Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
-(services)
+Service mqtt-ws {"port":8083,"proto":"tcp"}
+(services)
-Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
-(services)
+Service ms-sql-m {"port":1434,"proto":"tcp"}
+(services)
-Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
-(services)
+Service ms-sql-s {"port":1433,"proto":"tcp"}
+(services)
-Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
-(services)
+Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
+(services)
-Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
-(services)
+Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
+(services)
-Service ntp {"port":123,"proto":"udp"}
-(services)
+Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
+(services)
-Service openvpn {"port":1194,"proto":"udp"}
-(services)
+Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
+(services)
-Service ospf {"proto":"ospf"}
-(services)
+Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
+(services)
-Service pgsql {"port":5432,"proto":"tcp"}
-(services)
+Service ntp {"port":123,"proto":"udp"}
+(services)
-Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
-(services)
+Service openvpn {"port":1194,"proto":"udp"}
+(services)
-Service pop3 {"port":110,"proto":"tcp"}
-(services)
+Service ospf {"proto":"ospf"}
+(services)
-Service pop3s {"port":995,"proto":"tcp"}
-(services)
+Service pgsql {"port":5432,"proto":"tcp"}
+(services)
-Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
-(services)
+Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
+(services)
-Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
-(services)
+Service pop3 {"port":110,"proto":"tcp"}
+(services)
-Service rdp {"port":3389,"proto":"tcp"}
-(services)
+Service pop3s {"port":995,"proto":"tcp"}
+(services)
-Service rsync {"port":873,"proto":"tcp"}
-(services)
+Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
+(services)
-Service rtmp {"port":1935,"proto":"tcp"}
-(services)
+Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
+(services)
-Service rtsp {"port":554,"proto":"tcp"}
-(services)
+Service rdp {"port":3389,"proto":"tcp"}
+(services)
-Service sieve {"port":4190,"proto":"tcp"}
-(services)
+Service rsync {"port":873,"proto":"tcp"}
+(services)
-Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
-(services)
+Service rtmp {"port":1935,"proto":"tcp"}
+(services)
-Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
-(services)
+Service rtsp {"port":554,"proto":"tcp"}
+(services)
-Service smtp {"port":25,"proto":"tcp"}
-(services)
+Service secure-mqtt {"port":8883,"proto":"tcp"}
+(services)
-Service snmp {"port":161,"proto":"udp"}
-(services)
+Service sieve {"port":4190,"proto":"tcp"}
+(services)
-Service snmp-trap {"port":162,"proto":"udp"}
-(services)
+Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
+(services)
-Service ssh {"port":22,"proto":"tcp"}
-(services)
+Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
+(services)
-Service submission {"port":587,"proto":"tcp"}
-(services)
+Service smtp {"port":25,"proto":"tcp"}
+(services)
-Service syslog {"port":514,"proto":"udp"}
-(services)
+Service snmp {"port":161,"proto":"udp"}
+(services)
-Service telnet {"port":23,"proto":"tcp"}
-(services)
+Service snmp-trap {"port":162,"proto":"udp"}
+(services)
-Service teredo {"port":3544,"proto":"udp"}
-(services)
+Service ssh {"port":22,"proto":"tcp"}
+(services)
-Service tftp {"port":69,"proto":"udp"}
-(services)
+Service submission {"port":587,"proto":"tcp"}
+(services)
-Service vnc {"port":5900,"proto":"tcp"}
-(services)
+Service syslog {"port":514,"proto":"udp"}
+(services)
+
+Service telnet {"port":23,"proto":"tcp"}
+(services)
+
+Service teredo {"port":3544,"proto":"udp"}
+(services)
+
+Service tftp {"port":69,"proto":"udp"}
+(services)
+
+Service tinc [{"port":655,"proto":"tcp"},{"port":655,"proto":"udp"}]
+(services)
+
+Service vnc {"port":5900,"proto":"tcp"}
+(services)
+
+Service zabbix-agent {"port":10050,"proto":"tcp"}
+(services)
+
+Service zabbix-trapper {"port":10051,"proto":"tcp"}
+(services)
Snat 1 {"out":["_fw","B"]}
diff --git a/test/output/filter-limit/dump b/test/output/filter-limit/dump
index 7396cb8..893c5c0 100644
--- a/test/output/filter-limit/dump
+++ b/test/output/filter-limit/dump
@@ -59586,185 +59586,206 @@ Packet-log 4 {"log":"ulog","out":"_fw"}
inet/filter/INPUT -m limit --limit 12/minute -j ULOG
-Service babel {"port":6697,"proto":"tcp"}
-(services)
+Service babel {"port":6697,"proto":"tcp"}
+(services)
-Service bacula-dir {"port":9101,"proto":"tcp"}
-(services)
+Service bacula-dir {"port":9101,"proto":"tcp"}
+(services)
-Service bacula-fd {"port":9102,"proto":"tcp"}
-(services)
+Service bacula-fd {"port":9102,"proto":"tcp"}
+(services)
-Service bacula-sd {"port":9103,"proto":"tcp"}
-(services)
+Service bacula-sd {"port":9103,"proto":"tcp"}
+(services)
-Service bgp {"port":179,"proto":"tcp"}
-(services)
+Service bgp {"port":179,"proto":"tcp"}
+(services)
-Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
-(services)
+Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
+(services)
-Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
-(services)
+Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
+(services)
-Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
-(services)
+Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
+(services)
-Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
-(services)
+Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
+(services)
-Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
-(services)
+Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
+(services)
-Service gre {"proto":"gre"}
-(services)
+Service gre {"proto":"gre"}
+(services)
-Service hp-pdl {"port":9100,"proto":"tcp"}
-(services)
+Service hp-pdl {"port":9100,"proto":"tcp"}
+(services)
-Service http {"port":80,"proto":"tcp"}
-(services)
+Service http {"port":80,"proto":"tcp"}
+(services)
-Service http-alt {"port":8080,"proto":"tcp"}
-(services)
+Service http-alt {"port":8080,"proto":"tcp"}
+(services)
-Service https {"port":443,"proto":"tcp"}
-(services)
+Service https {"port":443,"proto":"tcp"}
+(services)
-Service icmp {"proto":"icmp"}
-(services)
+Service icmp {"proto":"icmp"}
+(services)
-Service igmp {"proto":"igmp"}
-(services)
+Service igmp {"proto":"igmp"}
+(services)
-Service imap {"port":143,"proto":"tcp"}
-(services)
+Service imap {"port":143,"proto":"tcp"}
+(services)
-Service imaps {"port":993,"proto":"tcp"}
-(services)
+Service imaps {"port":993,"proto":"tcp"}
+(services)
-Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
-(services)
+Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
+(services)
-Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
-(services)
+Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
+(services)
-Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
-(services)
+Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
+(services)
-Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
-(services)
+Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
+(services)
-Service l2tp {"port":1701,"proto":"udp"}
-(services)
+Service l2tp {"port":1701,"proto":"udp"}
+(services)
-Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
-(services)
+Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
+(services)
-Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
-(services)
+Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
+(services)
-Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
-(services)
+Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
+(services)
-Service ms-sql-m {"port":1434,"proto":"tcp"}
-(services)
+Service mqtt {"port":1883,"proto":"tcp"}
+(services)
-Service ms-sql-s {"port":1433,"proto":"tcp"}
-(services)
+Service mqtt-sn {"port":1883,"proto":"udp"}
+(services)
-Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
-(services)
+Service mqtt-ws {"port":8083,"proto":"tcp"}
+(services)
-Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
-(services)
+Service ms-sql-m {"port":1434,"proto":"tcp"}
+(services)
-Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
-(services)
+Service ms-sql-s {"port":1433,"proto":"tcp"}
+(services)
-Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
-(services)
+Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
+(services)
-Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
-(services)
+Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
+(services)
-Service ntp {"port":123,"proto":"udp"}
-(services)
+Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
+(services)
-Service openvpn {"port":1194,"proto":"udp"}
-(services)
+Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
+(services)
-Service ospf {"proto":"ospf"}
-(services)
+Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
+(services)
-Service pgsql {"port":5432,"proto":"tcp"}
-(services)
+Service ntp {"port":123,"proto":"udp"}
+(services)
-Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
-(services)
+Service openvpn {"port":1194,"proto":"udp"}
+(services)
-Service pop3 {"port":110,"proto":"tcp"}
-(services)
+Service ospf {"proto":"ospf"}
+(services)
-Service pop3s {"port":995,"proto":"tcp"}
-(services)
+Service pgsql {"port":5432,"proto":"tcp"}
+(services)
-Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
-(services)
+Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
+(services)
-Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
-(services)
+Service pop3 {"port":110,"proto":"tcp"}
+(services)
-Service rdp {"port":3389,"proto":"tcp"}
-(services)
+Service pop3s {"port":995,"proto":"tcp"}
+(services)
-Service rsync {"port":873,"proto":"tcp"}
-(services)
+Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
+(services)
-Service rtmp {"port":1935,"proto":"tcp"}
-(services)
+Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
+(services)
-Service rtsp {"port":554,"proto":"tcp"}
-(services)
+Service rdp {"port":3389,"proto":"tcp"}
+(services)
-Service sieve {"port":4190,"proto":"tcp"}
-(services)
+Service rsync {"port":873,"proto":"tcp"}
+(services)
-Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
-(services)
+Service rtmp {"port":1935,"proto":"tcp"}
+(services)
-Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
-(services)
+Service rtsp {"port":554,"proto":"tcp"}
+(services)
-Service smtp {"port":25,"proto":"tcp"}
-(services)
+Service secure-mqtt {"port":8883,"proto":"tcp"}
+(services)
-Service snmp {"port":161,"proto":"udp"}
-(services)
+Service sieve {"port":4190,"proto":"tcp"}
+(services)
-Service snmp-trap {"port":162,"proto":"udp"}
-(services)
+Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
+(services)
-Service ssh {"port":22,"proto":"tcp"}
-(services)
+Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
+(services)
-Service submission {"port":587,"proto":"tcp"}
-(services)
+Service smtp {"port":25,"proto":"tcp"}
+(services)
-Service syslog {"port":514,"proto":"udp"}
-(services)
+Service snmp {"port":161,"proto":"udp"}
+(services)
-Service telnet {"port":23,"proto":"tcp"}
-(services)
+Service snmp-trap {"port":162,"proto":"udp"}
+(services)
-Service teredo {"port":3544,"proto":"udp"}
-(services)
+Service ssh {"port":22,"proto":"tcp"}
+(services)
-Service tftp {"port":69,"proto":"udp"}
-(services)
+Service submission {"port":587,"proto":"tcp"}
+(services)
-Service vnc {"port":5900,"proto":"tcp"}
-(services)
+Service syslog {"port":514,"proto":"udp"}
+(services)
+
+Service telnet {"port":23,"proto":"tcp"}
+(services)
+
+Service teredo {"port":3544,"proto":"udp"}
+(services)
+
+Service tftp {"port":69,"proto":"udp"}
+(services)
+
+Service tinc [{"port":655,"proto":"tcp"},{"port":655,"proto":"udp"}]
+(services)
+
+Service vnc {"port":5900,"proto":"tcp"}
+(services)
+
+Service zabbix-agent {"port":10050,"proto":"tcp"}
+(services)
+
+Service zabbix-trapper {"port":10051,"proto":"tcp"}
+(services)
Snat 1 {"out":["_fw","B"]}
diff --git a/test/output/filter/dump b/test/output/filter/dump
index a4497a3..87344a3 100644
--- a/test/output/filter/dump
+++ b/test/output/filter/dump
@@ -506,185 +506,206 @@ Packet-log 4 {"log":"ulog","out":"_fw"}
inet/filter/INPUT -m limit --limit 12/minute -j ULOG
-Service babel {"port":6697,"proto":"tcp"}
-(services)
+Service babel {"port":6697,"proto":"tcp"}
+(services)
-Service bacula-dir {"port":9101,"proto":"tcp"}
-(services)
+Service bacula-dir {"port":9101,"proto":"tcp"}
+(services)
-Service bacula-fd {"port":9102,"proto":"tcp"}
-(services)
+Service bacula-fd {"port":9102,"proto":"tcp"}
+(services)
-Service bacula-sd {"port":9103,"proto":"tcp"}
-(services)
+Service bacula-sd {"port":9103,"proto":"tcp"}
+(services)
-Service bgp {"port":179,"proto":"tcp"}
-(services)
+Service bgp {"port":179,"proto":"tcp"}
+(services)
-Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
-(services)
+Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
+(services)
-Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
-(services)
+Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
+(services)
-Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
-(services)
+Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
+(services)
-Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
-(services)
+Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
+(services)
-Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
-(services)
+Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
+(services)
-Service gre {"proto":"gre"}
-(services)
+Service gre {"proto":"gre"}
+(services)
-Service hp-pdl {"port":9100,"proto":"tcp"}
-(services)
+Service hp-pdl {"port":9100,"proto":"tcp"}
+(services)
-Service http {"port":80,"proto":"tcp"}
-(services)
+Service http {"port":80,"proto":"tcp"}
+(services)
-Service http-alt {"port":8080,"proto":"tcp"}
-(services)
+Service http-alt {"port":8080,"proto":"tcp"}
+(services)
-Service https {"port":443,"proto":"tcp"}
-(services)
+Service https {"port":443,"proto":"tcp"}
+(services)
-Service icmp {"proto":"icmp"}
-(services)
+Service icmp {"proto":"icmp"}
+(services)
-Service igmp {"proto":"igmp"}
-(services)
+Service igmp {"proto":"igmp"}
+(services)
-Service imap {"port":143,"proto":"tcp"}
-(services)
+Service imap {"port":143,"proto":"tcp"}
+(services)
-Service imaps {"port":993,"proto":"tcp"}
-(services)
+Service imaps {"port":993,"proto":"tcp"}
+(services)
-Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
-(services)
+Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
+(services)
-Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
-(services)
+Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
+(services)
-Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
-(services)
+Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
+(services)
-Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
-(services)
+Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
+(services)
-Service l2tp {"port":1701,"proto":"udp"}
-(services)
+Service l2tp {"port":1701,"proto":"udp"}
+(services)
-Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
-(services)
+Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
+(services)
-Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
-(services)
+Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
+(services)
-Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
-(services)
+Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
+(services)
-Service ms-sql-m {"port":1434,"proto":"tcp"}
-(services)
+Service mqtt {"port":1883,"proto":"tcp"}
+(services)
-Service ms-sql-s {"port":1433,"proto":"tcp"}
-(services)
+Service mqtt-sn {"port":1883,"proto":"udp"}
+(services)
-Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
-(services)
+Service mqtt-ws {"port":8083,"proto":"tcp"}
+(services)
-Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
-(services)
+Service ms-sql-m {"port":1434,"proto":"tcp"}
+(services)
-Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
-(services)
+Service ms-sql-s {"port":1433,"proto":"tcp"}
+(services)
-Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
-(services)
+Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
+(services)
-Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
-(services)
+Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
+(services)
-Service ntp {"port":123,"proto":"udp"}
-(services)
+Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
+(services)
-Service openvpn {"port":1194,"proto":"udp"}
-(services)
+Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
+(services)
-Service ospf {"proto":"ospf"}
-(services)
+Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
+(services)
-Service pgsql {"port":5432,"proto":"tcp"}
-(services)
+Service ntp {"port":123,"proto":"udp"}
+(services)
-Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
-(services)
+Service openvpn {"port":1194,"proto":"udp"}
+(services)
-Service pop3 {"port":110,"proto":"tcp"}
-(services)
+Service ospf {"proto":"ospf"}
+(services)
-Service pop3s {"port":995,"proto":"tcp"}
-(services)
+Service pgsql {"port":5432,"proto":"tcp"}
+(services)
-Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
-(services)
+Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
+(services)
-Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
-(services)
+Service pop3 {"port":110,"proto":"tcp"}
+(services)
-Service rdp {"port":3389,"proto":"tcp"}
-(services)
+Service pop3s {"port":995,"proto":"tcp"}
+(services)
-Service rsync {"port":873,"proto":"tcp"}
-(services)
+Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
+(services)
-Service rtmp {"port":1935,"proto":"tcp"}
-(services)
+Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
+(services)
-Service rtsp {"port":554,"proto":"tcp"}
-(services)
+Service rdp {"port":3389,"proto":"tcp"}
+(services)
-Service sieve {"port":4190,"proto":"tcp"}
-(services)
+Service rsync {"port":873,"proto":"tcp"}
+(services)
-Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
-(services)
+Service rtmp {"port":1935,"proto":"tcp"}
+(services)
-Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
-(services)
+Service rtsp {"port":554,"proto":"tcp"}
+(services)
-Service smtp {"port":25,"proto":"tcp"}
-(services)
+Service secure-mqtt {"port":8883,"proto":"tcp"}
+(services)
-Service snmp {"port":161,"proto":"udp"}
-(services)
+Service sieve {"port":4190,"proto":"tcp"}
+(services)
-Service snmp-trap {"port":162,"proto":"udp"}
-(services)
+Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
+(services)
-Service ssh {"port":22,"proto":"tcp"}
-(services)
+Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
+(services)
-Service submission {"port":587,"proto":"tcp"}
-(services)
+Service smtp {"port":25,"proto":"tcp"}
+(services)
-Service syslog {"port":514,"proto":"udp"}
-(services)
+Service snmp {"port":161,"proto":"udp"}
+(services)
-Service telnet {"port":23,"proto":"tcp"}
-(services)
+Service snmp-trap {"port":162,"proto":"udp"}
+(services)
-Service teredo {"port":3544,"proto":"udp"}
-(services)
+Service ssh {"port":22,"proto":"tcp"}
+(services)
-Service tftp {"port":69,"proto":"udp"}
-(services)
+Service submission {"port":587,"proto":"tcp"}
+(services)
-Service vnc {"port":5900,"proto":"tcp"}
-(services)
+Service syslog {"port":514,"proto":"udp"}
+(services)
+
+Service telnet {"port":23,"proto":"tcp"}
+(services)
+
+Service teredo {"port":3544,"proto":"udp"}
+(services)
+
+Service tftp {"port":69,"proto":"udp"}
+(services)
+
+Service tinc [{"port":655,"proto":"tcp"},{"port":655,"proto":"udp"}]
+(services)
+
+Service vnc {"port":5900,"proto":"tcp"}
+(services)
+
+Service zabbix-agent {"port":10050,"proto":"tcp"}
+(services)
+
+Service zabbix-trapper {"port":10051,"proto":"tcp"}
+(services)
Snat 1 {"out":["_fw","B"]}
diff --git a/test/output/no-track/dump b/test/output/no-track/dump
index 074da9f..1ed7e97 100644
--- a/test/output/no-track/dump
+++ b/test/output/no-track/dump
@@ -502,185 +502,206 @@ Packet-log 4 {"log":"ulog","out":"_fw"}
inet/filter/INPUT -m limit --limit 12/minute -j ULOG
-Service babel {"port":6697,"proto":"tcp"}
-(services)
+Service babel {"port":6697,"proto":"tcp"}
+(services)
-Service bacula-dir {"port":9101,"proto":"tcp"}
-(services)
+Service bacula-dir {"port":9101,"proto":"tcp"}
+(services)
-Service bacula-fd {"port":9102,"proto":"tcp"}
-(services)
+Service bacula-fd {"port":9102,"proto":"tcp"}
+(services)
-Service bacula-sd {"port":9103,"proto":"tcp"}
-(services)
+Service bacula-sd {"port":9103,"proto":"tcp"}
+(services)
-Service bgp {"port":179,"proto":"tcp"}
-(services)
+Service bgp {"port":179,"proto":"tcp"}
+(services)
-Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
-(services)
+Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
+(services)
-Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
-(services)
+Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
+(services)
-Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
-(services)
+Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
+(services)
-Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
-(services)
+Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
+(services)
-Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
-(services)
+Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
+(services)
-Service gre {"proto":"gre"}
-(services)
+Service gre {"proto":"gre"}
+(services)
-Service hp-pdl {"port":9100,"proto":"tcp"}
-(services)
+Service hp-pdl {"port":9100,"proto":"tcp"}
+(services)
-Service http {"port":80,"proto":"tcp"}
-(services)
+Service http {"port":80,"proto":"tcp"}
+(services)
-Service http-alt {"port":8080,"proto":"tcp"}
-(services)
+Service http-alt {"port":8080,"proto":"tcp"}
+(services)
-Service https {"port":443,"proto":"tcp"}
-(services)
+Service https {"port":443,"proto":"tcp"}
+(services)
-Service icmp {"proto":"icmp"}
-(services)
+Service icmp {"proto":"icmp"}
+(services)
-Service igmp {"proto":"igmp"}
-(services)
+Service igmp {"proto":"igmp"}
+(services)
-Service imap {"port":143,"proto":"tcp"}
-(services)
+Service imap {"port":143,"proto":"tcp"}
+(services)
-Service imaps {"port":993,"proto":"tcp"}
-(services)
+Service imaps {"port":993,"proto":"tcp"}
+(services)
-Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
-(services)
+Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
+(services)
-Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
-(services)
+Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
+(services)
-Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
-(services)
+Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
+(services)
-Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
-(services)
+Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
+(services)
-Service l2tp {"port":1701,"proto":"udp"}
-(services)
+Service l2tp {"port":1701,"proto":"udp"}
+(services)
-Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
-(services)
+Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
+(services)
-Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
-(services)
+Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
+(services)
-Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
-(services)
+Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
+(services)
-Service ms-sql-m {"port":1434,"proto":"tcp"}
-(services)
+Service mqtt {"port":1883,"proto":"tcp"}
+(services)
-Service ms-sql-s {"port":1433,"proto":"tcp"}
-(services)
+Service mqtt-sn {"port":1883,"proto":"udp"}
+(services)
-Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
-(services)
+Service mqtt-ws {"port":8083,"proto":"tcp"}
+(services)
-Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
-(services)
+Service ms-sql-m {"port":1434,"proto":"tcp"}
+(services)
-Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
-(services)
+Service ms-sql-s {"port":1433,"proto":"tcp"}
+(services)
-Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
-(services)
+Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
+(services)
-Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
-(services)
+Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
+(services)
-Service ntp {"port":123,"proto":"udp"}
-(services)
+Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
+(services)
-Service openvpn {"port":1194,"proto":"udp"}
-(services)
+Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
+(services)
-Service ospf {"proto":"ospf"}
-(services)
+Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
+(services)
-Service pgsql {"port":5432,"proto":"tcp"}
-(services)
+Service ntp {"port":123,"proto":"udp"}
+(services)
-Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
-(services)
+Service openvpn {"port":1194,"proto":"udp"}
+(services)
-Service pop3 {"port":110,"proto":"tcp"}
-(services)
+Service ospf {"proto":"ospf"}
+(services)
-Service pop3s {"port":995,"proto":"tcp"}
-(services)
+Service pgsql {"port":5432,"proto":"tcp"}
+(services)
-Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
-(services)
+Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
+(services)
-Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
-(services)
+Service pop3 {"port":110,"proto":"tcp"}
+(services)
-Service rdp {"port":3389,"proto":"tcp"}
-(services)
+Service pop3s {"port":995,"proto":"tcp"}
+(services)
-Service rsync {"port":873,"proto":"tcp"}
-(services)
+Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
+(services)
-Service rtmp {"port":1935,"proto":"tcp"}
-(services)
+Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
+(services)
-Service rtsp {"port":554,"proto":"tcp"}
-(services)
+Service rdp {"port":3389,"proto":"tcp"}
+(services)
-Service sieve {"port":4190,"proto":"tcp"}
-(services)
+Service rsync {"port":873,"proto":"tcp"}
+(services)
-Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
-(services)
+Service rtmp {"port":1935,"proto":"tcp"}
+(services)
-Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
-(services)
+Service rtsp {"port":554,"proto":"tcp"}
+(services)
-Service smtp {"port":25,"proto":"tcp"}
-(services)
+Service secure-mqtt {"port":8883,"proto":"tcp"}
+(services)
-Service snmp {"port":161,"proto":"udp"}
-(services)
+Service sieve {"port":4190,"proto":"tcp"}
+(services)
-Service snmp-trap {"port":162,"proto":"udp"}
-(services)
+Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
+(services)
-Service ssh {"port":22,"proto":"tcp"}
-(services)
+Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
+(services)
-Service submission {"port":587,"proto":"tcp"}
-(services)
+Service smtp {"port":25,"proto":"tcp"}
+(services)
-Service syslog {"port":514,"proto":"udp"}
-(services)
+Service snmp {"port":161,"proto":"udp"}
+(services)
-Service telnet {"port":23,"proto":"tcp"}
-(services)
+Service snmp-trap {"port":162,"proto":"udp"}
+(services)
-Service teredo {"port":3544,"proto":"udp"}
-(services)
+Service ssh {"port":22,"proto":"tcp"}
+(services)
-Service tftp {"port":69,"proto":"udp"}
-(services)
+Service submission {"port":587,"proto":"tcp"}
+(services)
-Service vnc {"port":5900,"proto":"tcp"}
-(services)
+Service syslog {"port":514,"proto":"udp"}
+(services)
+
+Service telnet {"port":23,"proto":"tcp"}
+(services)
+
+Service teredo {"port":3544,"proto":"udp"}
+(services)
+
+Service tftp {"port":69,"proto":"udp"}
+(services)
+
+Service tinc [{"port":655,"proto":"tcp"},{"port":655,"proto":"udp"}]
+(services)
+
+Service vnc {"port":5900,"proto":"tcp"}
+(services)
+
+Service zabbix-agent {"port":10050,"proto":"tcp"}
+(services)
+
+Service zabbix-trapper {"port":10051,"proto":"tcp"}
+(services)
Snat 1 {"out":["_fw","B"]}
diff --git a/test/output/route-track/dump b/test/output/route-track/dump
index 687fcfa..ffd75f6 100644
--- a/test/output/route-track/dump
+++ b/test/output/route-track/dump
@@ -448,185 +448,206 @@ Route-track 1 {"mark":4}
inet6/mangle/PREROUTING -m mark --mark 0 -j CONNMARK --save-mark
-Service babel {"port":6697,"proto":"tcp"}
-(services)
+Service babel {"port":6697,"proto":"tcp"}
+(services)
-Service bacula-dir {"port":9101,"proto":"tcp"}
-(services)
+Service bacula-dir {"port":9101,"proto":"tcp"}
+(services)
-Service bacula-fd {"port":9102,"proto":"tcp"}
-(services)
+Service bacula-fd {"port":9102,"proto":"tcp"}
+(services)
-Service bacula-sd {"port":9103,"proto":"tcp"}
-(services)
+Service bacula-sd {"port":9103,"proto":"tcp"}
+(services)
-Service bgp {"port":179,"proto":"tcp"}
-(services)
+Service bgp {"port":179,"proto":"tcp"}
+(services)
-Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
-(services)
+Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
+(services)
-Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
-(services)
+Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
+(services)
-Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
-(services)
+Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
+(services)
-Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
-(services)
+Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
+(services)
-Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
-(services)
+Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
+(services)
-Service gre {"proto":"gre"}
-(services)
+Service gre {"proto":"gre"}
+(services)
-Service hp-pdl {"port":9100,"proto":"tcp"}
-(services)
+Service hp-pdl {"port":9100,"proto":"tcp"}
+(services)
-Service http {"port":80,"proto":"tcp"}
-(services)
+Service http {"port":80,"proto":"tcp"}
+(services)
-Service http-alt {"port":8080,"proto":"tcp"}
-(services)
+Service http-alt {"port":8080,"proto":"tcp"}
+(services)
-Service https {"port":443,"proto":"tcp"}
-(services)
+Service https {"port":443,"proto":"tcp"}
+(services)
-Service icmp {"proto":"icmp"}
-(services)
+Service icmp {"proto":"icmp"}
+(services)
-Service igmp {"proto":"igmp"}
-(services)
+Service igmp {"proto":"igmp"}
+(services)
-Service imap {"port":143,"proto":"tcp"}
-(services)
+Service imap {"port":143,"proto":"tcp"}
+(services)
-Service imaps {"port":993,"proto":"tcp"}
-(services)
+Service imaps {"port":993,"proto":"tcp"}
+(services)
-Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
-(services)
+Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
+(services)
-Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
-(services)
+Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
+(services)
-Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
-(services)
+Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
+(services)
-Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
-(services)
+Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
+(services)
-Service l2tp {"port":1701,"proto":"udp"}
-(services)
+Service l2tp {"port":1701,"proto":"udp"}
+(services)
-Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
-(services)
+Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
+(services)
-Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
-(services)
+Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
+(services)
-Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
-(services)
+Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
+(services)
-Service ms-sql-m {"port":1434,"proto":"tcp"}
-(services)
+Service mqtt {"port":1883,"proto":"tcp"}
+(services)
-Service ms-sql-s {"port":1433,"proto":"tcp"}
-(services)
+Service mqtt-sn {"port":1883,"proto":"udp"}
+(services)
-Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
-(services)
+Service mqtt-ws {"port":8083,"proto":"tcp"}
+(services)
-Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
-(services)
+Service ms-sql-m {"port":1434,"proto":"tcp"}
+(services)
-Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
-(services)
+Service ms-sql-s {"port":1433,"proto":"tcp"}
+(services)
-Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
-(services)
+Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
+(services)
-Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
-(services)
+Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
+(services)
-Service ntp {"port":123,"proto":"udp"}
-(services)
+Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
+(services)
-Service openvpn {"port":1194,"proto":"udp"}
-(services)
+Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
+(services)
-Service ospf {"proto":"ospf"}
-(services)
+Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
+(services)
-Service pgsql {"port":5432,"proto":"tcp"}
-(services)
+Service ntp {"port":123,"proto":"udp"}
+(services)
-Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
-(services)
+Service openvpn {"port":1194,"proto":"udp"}
+(services)
-Service pop3 {"port":110,"proto":"tcp"}
-(services)
+Service ospf {"proto":"ospf"}
+(services)
-Service pop3s {"port":995,"proto":"tcp"}
-(services)
+Service pgsql {"port":5432,"proto":"tcp"}
+(services)
-Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
-(services)
+Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
+(services)
-Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
-(services)
+Service pop3 {"port":110,"proto":"tcp"}
+(services)
-Service rdp {"port":3389,"proto":"tcp"}
-(services)
+Service pop3s {"port":995,"proto":"tcp"}
+(services)
-Service rsync {"port":873,"proto":"tcp"}
-(services)
+Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
+(services)
-Service rtmp {"port":1935,"proto":"tcp"}
-(services)
+Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
+(services)
-Service rtsp {"port":554,"proto":"tcp"}
-(services)
+Service rdp {"port":3389,"proto":"tcp"}
+(services)
-Service sieve {"port":4190,"proto":"tcp"}
-(services)
+Service rsync {"port":873,"proto":"tcp"}
+(services)
-Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
-(services)
+Service rtmp {"port":1935,"proto":"tcp"}
+(services)
-Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
-(services)
+Service rtsp {"port":554,"proto":"tcp"}
+(services)
-Service smtp {"port":25,"proto":"tcp"}
-(services)
+Service secure-mqtt {"port":8883,"proto":"tcp"}
+(services)
-Service snmp {"port":161,"proto":"udp"}
-(services)
+Service sieve {"port":4190,"proto":"tcp"}
+(services)
-Service snmp-trap {"port":162,"proto":"udp"}
-(services)
+Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
+(services)
-Service ssh {"port":22,"proto":"tcp"}
-(services)
+Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
+(services)
-Service submission {"port":587,"proto":"tcp"}
-(services)
+Service smtp {"port":25,"proto":"tcp"}
+(services)
-Service syslog {"port":514,"proto":"udp"}
-(services)
+Service snmp {"port":161,"proto":"udp"}
+(services)
-Service telnet {"port":23,"proto":"tcp"}
-(services)
+Service snmp-trap {"port":162,"proto":"udp"}
+(services)
-Service teredo {"port":3544,"proto":"udp"}
-(services)
+Service ssh {"port":22,"proto":"tcp"}
+(services)
-Service tftp {"port":69,"proto":"udp"}
-(services)
+Service submission {"port":587,"proto":"tcp"}
+(services)
-Service vnc {"port":5900,"proto":"tcp"}
-(services)
+Service syslog {"port":514,"proto":"udp"}
+(services)
+
+Service telnet {"port":23,"proto":"tcp"}
+(services)
+
+Service teredo {"port":3544,"proto":"udp"}
+(services)
+
+Service tftp {"port":69,"proto":"udp"}
+(services)
+
+Service tinc [{"port":655,"proto":"tcp"},{"port":655,"proto":"udp"}]
+(services)
+
+Service vnc {"port":5900,"proto":"tcp"}
+(services)
+
+Service zabbix-agent {"port":10050,"proto":"tcp"}
+(services)
+
+Service zabbix-trapper {"port":10051,"proto":"tcp"}
+(services)
Snat 1 {"out":["_fw","B"]}
diff --git a/test/output/tproxy/dump b/test/output/tproxy/dump
index 9a5497e..6622350 100644
--- a/test/output/tproxy/dump
+++ b/test/output/tproxy/dump
@@ -436,185 +436,206 @@ Packet-log 4 {"log":"ulog","out":"_fw"}
inet/filter/INPUT -m limit --limit 12/minute -j ULOG
-Service babel {"port":6697,"proto":"tcp"}
-(services)
+Service babel {"port":6697,"proto":"tcp"}
+(services)
-Service bacula-dir {"port":9101,"proto":"tcp"}
-(services)
+Service bacula-dir {"port":9101,"proto":"tcp"}
+(services)
-Service bacula-fd {"port":9102,"proto":"tcp"}
-(services)
+Service bacula-fd {"port":9102,"proto":"tcp"}
+(services)
-Service bacula-sd {"port":9103,"proto":"tcp"}
-(services)
+Service bacula-sd {"port":9103,"proto":"tcp"}
+(services)
-Service bgp {"port":179,"proto":"tcp"}
-(services)
+Service bgp {"port":179,"proto":"tcp"}
+(services)
-Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
-(services)
+Service dhcp {"family":"inet","port":[67,68],"proto":"udp"}
+(services)
-Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
-(services)
+Service discard [{"port":9,"proto":"tcp"},{"port":9,"proto":"udp"}]
+(services)
-Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
-(services)
+Service dns [{"port":53,"proto":"tcp"},{"port":53,"proto":"udp"}]
+(services)
-Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
-(services)
+Service epmap [{"port":135,"proto":"tcp"},{"port":135,"proto":"udp"}]
+(services)
-Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
-(services)
+Service ftp {"ct-helper":"ftp","port":21,"proto":"tcp"}
+(services)
-Service gre {"proto":"gre"}
-(services)
+Service gre {"proto":"gre"}
+(services)
-Service hp-pdl {"port":9100,"proto":"tcp"}
-(services)
+Service hp-pdl {"port":9100,"proto":"tcp"}
+(services)
-Service http {"port":80,"proto":"tcp"}
-(services)
+Service http {"port":80,"proto":"tcp"}
+(services)
-Service http-alt {"port":8080,"proto":"tcp"}
-(services)
+Service http-alt {"port":8080,"proto":"tcp"}
+(services)
-Service https {"port":443,"proto":"tcp"}
-(services)
+Service https {"port":443,"proto":"tcp"}
+(services)
-Service icmp {"proto":"icmp"}
-(services)
+Service icmp {"proto":"icmp"}
+(services)
-Service igmp {"proto":"igmp"}
-(services)
+Service igmp {"proto":"igmp"}
+(services)
-Service imap {"port":143,"proto":"tcp"}
-(services)
+Service imap {"port":143,"proto":"tcp"}
+(services)
-Service imaps {"port":993,"proto":"tcp"}
-(services)
+Service imaps {"port":993,"proto":"tcp"}
+(services)
-Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
-(services)
+Service ipsec [{"proto":"esp"},{"port":[500,4500],"proto":"udp"}]
+(services)
-Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
-(services)
+Service irc {"ct-helper":"irc","port":6667,"proto":"tcp"}
+(services)
-Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
-(services)
+Service kerberos [{"port":88,"proto":"tcp"},{"port":88,"proto":"udp"}]
+(services)
-Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
-(services)
+Service kpasswd [{"port":464,"proto":"tcp"},{"port":464,"proto":"udp"}]
+(services)
-Service l2tp {"port":1701,"proto":"udp"}
-(services)
+Service l2tp {"port":1701,"proto":"udp"}
+(services)
-Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
-(services)
+Service ldap [{"port":389,"proto":"tcp"},{"port":389,"proto":"udp"}]
+(services)
-Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
-(services)
+Service ldaps [{"port":636,"proto":"tcp"},{"port":636,"proto":"udp"}]
+(services)
-Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
-(services)
+Service microsoft-ds [{"port":445,"proto":"tcp"},{"port":445,"proto":"udp"}]
+(services)
-Service ms-sql-m {"port":1434,"proto":"tcp"}
-(services)
+Service mqtt {"port":1883,"proto":"tcp"}
+(services)
-Service ms-sql-s {"port":1433,"proto":"tcp"}
-(services)
+Service mqtt-sn {"port":1883,"proto":"udp"}
+(services)
-Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
-(services)
+Service mqtt-ws {"port":8083,"proto":"tcp"}
+(services)
-Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
-(services)
+Service ms-sql-m {"port":1434,"proto":"tcp"}
+(services)
-Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
-(services)
+Service ms-sql-s {"port":1433,"proto":"tcp"}
+(services)
-Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
-(services)
+Service msft-gc [{"port":3268,"proto":"tcp"},{"port":3268,"proto":"udp"}]
+(services)
-Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
-(services)
+Service msft-gc-ssl [{"port":3269,"proto":"tcp"},{"port":3269,"proto":"udp"}]
+(services)
-Service ntp {"port":123,"proto":"udp"}
-(services)
+Service netbios-ds [{"port":138,"proto":"tcp"},{"port":138,"proto":"udp"}]
+(services)
-Service openvpn {"port":1194,"proto":"udp"}
-(services)
+Service netbios-ns [{"family":"inet","port":137,"proto":"tcp"},{"ct-helper":"netbios-ns","family":"inet","port":137,"proto":"udp"}]
+(services)
-Service ospf {"proto":"ospf"}
-(services)
+Service netbios-ssn [{"port":139,"proto":"tcp"},{"port":139,"proto":"udp"}]
+(services)
-Service pgsql {"port":5432,"proto":"tcp"}
-(services)
+Service ntp {"port":123,"proto":"udp"}
+(services)
-Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
-(services)
+Service openvpn {"port":1194,"proto":"udp"}
+(services)
-Service pop3 {"port":110,"proto":"tcp"}
-(services)
+Service ospf {"proto":"ospf"}
+(services)
-Service pop3s {"port":995,"proto":"tcp"}
-(services)
+Service pgsql {"port":5432,"proto":"tcp"}
+(services)
-Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
-(services)
+Service ping [{"proto":"icmp","reply-type":0,"type":8},{"proto":"icmpv6","reply-type":129,"type":128}]
+(services)
-Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
-(services)
+Service pop3 {"port":110,"proto":"tcp"}
+(services)
-Service rdp {"port":3389,"proto":"tcp"}
-(services)
+Service pop3s {"port":995,"proto":"tcp"}
+(services)
-Service rsync {"port":873,"proto":"tcp"}
-(services)
+Service radius [{"port":1812,"proto":"tcp"},{"port":1812,"proto":"udp"}]
+(services)
-Service rtmp {"port":1935,"proto":"tcp"}
-(services)
+Service radius-acct [{"port":1813,"proto":"tcp"},{"port":1813,"proto":"udp"}]
+(services)
-Service rtsp {"port":554,"proto":"tcp"}
-(services)
+Service rdp {"port":3389,"proto":"tcp"}
+(services)
-Service sieve {"port":4190,"proto":"tcp"}
-(services)
+Service rsync {"port":873,"proto":"tcp"}
+(services)
-Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
-(services)
+Service rtmp {"port":1935,"proto":"tcp"}
+(services)
-Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
-(services)
+Service rtsp {"port":554,"proto":"tcp"}
+(services)
-Service smtp {"port":25,"proto":"tcp"}
-(services)
+Service secure-mqtt {"port":8883,"proto":"tcp"}
+(services)
-Service snmp {"port":161,"proto":"udp"}
-(services)
+Service sieve {"port":4190,"proto":"tcp"}
+(services)
-Service snmp-trap {"port":162,"proto":"udp"}
-(services)
+Service sip [{"ct-helper":"sip","port":5060,"proto":"tcp"},{"ct-helper":"sip","port":5060,"proto":"udp"}]
+(services)
-Service ssh {"port":22,"proto":"tcp"}
-(services)
+Service sip-tls [{"port":5061,"proto":"tcp"},{"port":5061,"proto":"udp"}]
+(services)
-Service submission {"port":587,"proto":"tcp"}
-(services)
+Service smtp {"port":25,"proto":"tcp"}
+(services)
-Service syslog {"port":514,"proto":"udp"}
-(services)
+Service snmp {"port":161,"proto":"udp"}
+(services)
-Service telnet {"port":23,"proto":"tcp"}
-(services)
+Service snmp-trap {"port":162,"proto":"udp"}
+(services)
-Service teredo {"port":3544,"proto":"udp"}
-(services)
+Service ssh {"port":22,"proto":"tcp"}
+(services)
-Service tftp {"port":69,"proto":"udp"}
-(services)
+Service submission {"port":587,"proto":"tcp"}
+(services)
-Service vnc {"port":5900,"proto":"tcp"}
-(services)
+Service syslog {"port":514,"proto":"udp"}
+(services)
+
+Service telnet {"port":23,"proto":"tcp"}
+(services)
+
+Service teredo {"port":3544,"proto":"udp"}
+(services)
+
+Service tftp {"port":69,"proto":"udp"}
+(services)
+
+Service tinc [{"port":655,"proto":"tcp"},{"port":655,"proto":"udp"}]
+(services)
+
+Service vnc {"port":5900,"proto":"tcp"}
+(services)
+
+Service zabbix-agent {"port":10050,"proto":"tcp"}
+(services)
+
+Service zabbix-trapper {"port":10051,"proto":"tcp"}
+(services)
Snat 1 {"out":["_fw","B"]}